<template>
    <ScrollView>
        <StackLayout class="margin">
            <!-- <RadListView 
            v-if="userItems!=null"
            for="item in userItems"
            height="51dpi"
            class="boring"
            @itemTap="obtenerUsuarios">
                <v-template>
                    <StackLayout orientation="vertical" class="item">
                        <Label
                        :text="item.name"
                        textWrap="true"
                        :style="{'text-align': 'center'}">
                        </Label>
                    </StackLayout>
                </v-template>
            </RadListView> -->
            <ListPicker v-if="userItems.length!=0" v-model="user" :items="userItems"></ListPicker>
            <Label v-else text="Sin usuarios!!!" textWrap="true" />
            <DatePicker v-model="fecha" :minDate="minDate" :maxDate="maxDate" />
            <StackLayout horizontalAlignment="center" orientation="horizontal">
                <Button @tap="$modal.close(false)" text="Cancelar"/>
                <Button @tap="onTap()" text="Calendarizar"/>     
            </StackLayout>
        </StackLayout>
    </ScrollView>
</template>

<script>
import { urlApi } from '../../main';
import axios from 'axios';

export default {
    data(){
		return{
			fecha: new Date(),
			minDate: null,
            maxDate: null,
            userItems: [],
            providers: [],
            // itemUsers: null,
            users: null,
            user: 0
		}
	},
    created() {
        this.obtenerSupervisores();
		this.minDate = new Date();
		this.maxDate = new Date(this.minDate.getFullYear(), 11, 31);
	},
	methods:{
		onTap(){
            if(this.users.length !== 0){
                this.$modal.close({calendarizar: true, fecha: this.fecha, usuario: this.users[this.user].id})
            }
        },
        obtenerSupervisores(){
            axios.get(urlApi+'/api/v1/mtto/user')
            .then(response=>{
                this.users = response.data.data.filter(( el ) => { return el.roles.find((el)=>{return el.name==="supervisor"}); });
                this.userItems = response.data.data.filter(( el ) => { return el.roles.find((el)=>{return el.name==="supervisor"}); }).map(( el ) => { return el.name; });
                console.log(this.userItems);
                
            })
            .catch(error=>{
                console.log(error);
                
            });
        },
        // obtenerUsuarios({ item }){
        //     axios.get(urlApi+'/api/v1/mtto/user')
        //     .then(response=>{
        //         this.users = response.data.data.filter(( obj ) => {return obj.provider_id === item.id; });
        //         if(this.users.length!=0)
        //             this.itemUsers = this.users.map(( obj ) => {return obj.name;});
        //         else
        //             this.itemUsers = null;
                
        //     })
        //     .catch(error=>{
        //         console.log(error);
                
        //     });
        // }
	}
}
</script>

<style scoped>
    .margin{
        margin-bottom: 20;
        margin-top: 20;
        margin-left: 20;
        margin-right: 20;
    }

    .boring{
        border-width: 1 0 1 0;
        border-color: black;
    }

    .item{
		margin: 10 10 10 10;
	}
</style>

